StarWriterStruct::Redline Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Redline Struct Reference

structure to store a redline in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Redline ()
| constructor More...
bool | read (StarZone &zone)
| try to read a redline : D More...

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< Redline > &redlineList)
| try to read a list of redline : R More...
static bool | readListList (StarZone &zone, std::vector< std::vector< Redline > > &redlineListList)
| try to read a list of list of redline : V More...

## Public Attributes
int | m_type
| the type More...
int | m_stringId
| the stringId More...
long | m_date
| the date More...
long | m_time
| the time More...
librevenge::RVNGString | m_comment
| the comment More...

## Friends
std::ostream & | operator<< (std::ostream &o, Redline const &redline)
| operator<< More...

## Detailed Description

structure to store a redline in a text zone

## Constructor & Destructor Documentation

## ◆ Redline()

StarWriterStruct::Redline::Redline | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Redline::read | ( | StarZone & | zone | ) |

try to read a redline : D

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::Redline::readList | ( | StarZone & | zone,
|  | std::vector< Redline > & | redlineList
| ) |  |
| static

try to read a list of redline : R

## ◆ readListList()

bool StarWriterStruct::Redline::readListList | ( | StarZone & | zone,
|  | std::vector< std::vector< Redline > > & | redlineListList
| ) |  |
| static

try to read a list of list of redline : V

Referenced by StarObjectPageStyle::read(), and StarObjectText::readWriterDocument().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Redline const & | redline
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_comment

librevenge::RVNGString StarWriterStruct::Redline::m_comment

the comment

Referenced by StarWriterStruct::operator<<().

## ◆ m_date

long StarWriterStruct::Redline::m_date

the date

Referenced by StarWriterStruct::operator<<().

## ◆ m_stringId

int StarWriterStruct::Redline::m_stringId

the stringId

Referenced by StarWriterStruct::operator<<().

## ◆ m_time

long StarWriterStruct::Redline::m_time

the time

Referenced by StarWriterStruct::operator<<().

## ◆ m_type

int StarWriterStruct::Redline::m_type

the type

Referenced by StarWriterStruct::operator<<().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx